%define upstream_name    MooseX-Types-Set-Object
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Set::Object type with coercions and stuff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(Set::Object)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(Test::Fatal)
BuildArch: noarch


%description
This module provides Moose type constraints (see the
Moose::Util::TypeConstraints manpage, the MooseX::Types manpage).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-6.mga9
+ Revision: 1804794
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-5.mga8
+ Revision: 1495688
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-4.mga7
+ Revision: 1269659
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1030706
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 969404
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 868601
- update to 0.05

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 788600
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 750450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 685588
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 587459
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 513248
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 38810
- mageia rebuild
- imported package perl-MooseX-Types-Set-Object

